<?php

function stworz_tabele($dane)
{
  echo "<table border = \"1\">";
  reset($dane); //Proszę pamiętać, że służy to do wskazania na początek tablicy
  $wartosc = current($dane);
  while ($wartosc) {
    echo "<tr><td>$wartosc</td></tr>\n";
    $wartosc = next($dane);
  }
  echo "</table>";
}

$moja_tablica = array('Wiersz pierwszy.', 'Wiersz drugi.', 'Wiersz trzeci.');
stworz_tabele($moja_tablica);

?>